Bug 1004736 (CVE-2013-4300)

Summary: CVE-2013-4300 Kernel: net: PID spoofing privilege escalation flaw
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: agordeev, anton, aquini, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jkurik, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, matt, mcressma, mr.marcelo.barbosa, plougher, pmatouse, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130822,reported=20130904,source=oss-security,cvss2=6.9/AV:L/AC:M/Au:N/C:C/I:C/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=new,rhel-7/kernel=new
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-10 04:07:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1004682    

Description Prasad J Pandit 2013-09-05 07:31:20 EDT
Linux kernel built with the user name-spaces is vulnerable to an incorrect
name-space check when spoofing PID in routine scm_check_creds(). This could
lead to privilege escalation to gain root access to a system.

A local user/program could use this flaw to escalate privileges to gain root
access to the system.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/d661684cf6820331feae71146c35da83d794467e

References:
-----------
 -> http://www.openwall.com/lists/oss-security/2013/09/05/3
Comment 1 Prasad J Pandit 2013-09-05 07:34:38 EDT
Statement:

Not vulnerable.

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.